# ======================================
# Az előre definiált függvények:

# Definiálunk egy függvényt, amely a bejövő szám osztóit adja vissza
def osztok(x):
    # Létrehozzuk az osztók listája változót
    osztok_listaja = []
    # Végigmegyünk az egész számokon 2-től a bejövő szám feléig
    for i in range(2, x // 2 + 1):
        # Ha az i maradék nélkül osztja az x-et
        if x % i == 0:
            # akkor felvesszük az osztók közé
            osztok_listaja.append(i)
    # Visszaadjuk az osztók listáját
    return osztok_listaja

# Definiálunk egy függvényt, amely a pírm osztókat adja vissza
def prim_osztok(x):
    # Létrehozzuk a prím osztók listája változót
    prim_osztok_listaja = []
    # Végigmegyünk az x osztóin:
    for oszto in osztok(x):
        # Ha az osztónak nincsenek osztói
        if osztok(oszto) == []:
            # akkor felvesszük a pírm osztók közé
            prim_osztok_listaja.append(oszto)
    # Visszaadjuk a prím osztókat
    return prim_osztok_listaja

# Definiálunk egy függvényt, amely a közös osztókat adja vissza
def kozos_osztok(x, y):
    # Létrehozunk egy listát a közös osztók tárolására
    kozos_oszto_lista = []
    # Létrehozzuk a két szám osztóinak a listáját
    osztok_x = osztok(x)
    osztok_y = osztok(y)
    # Végigmegyünk az első szám osztóin
    for i in osztok_x:
        # Ha x ezen osztója szerepel y osztói között is
        if i in osztok_y:
            # akkor felvesszük a közös osztók közé
            kozos_oszto_lista.append(i)
    # Visszaadjuk a közös osztók listáját
    return kozos_oszto_lista

# ======================================
# Itt folytasd a program írását

